import * as React from 'react';
import { MapDispatchToPropsParam, ResolveThunks } from "react-redux";
interface WithStyles<Styles> {
    classes: {
        [P in keyof Styles]: string;
    };
}
export declare function createConnectedProps<AppState>(): {
    connectedWithOwnProps: <OwnProps>() => <MapStateToProps extends (state: AppState, ownProps: OwnProps) => {}, MapDispatchToProps extends MapDispatchToPropsParam<{}, {}>, Styles extends {}>(mapStateToProps: MapStateToProps, mapDispatchToProps: MapDispatchToProps, styles: Styles, Component: React.FunctionComponent<ReturnType<MapStateToProps> & ResolveThunks<MapDispatchToProps & WithStyles<Styles>>>) => {
        Component: React.FunctionComponent<ReturnType<MapStateToProps> & ResolveThunks<MapDispatchToProps & WithStyles<Styles>>>;
        mapStateToProps: MapStateToProps;
        mapDispatchToProps: MapDispatchToProps;
        Connected: import("react-redux").ConnectedComponentClass<(props: Object) => JSX.Element, Pick<Object, Exclude<"constructor", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"toString", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"toLocaleString", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"valueOf", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"hasOwnProperty", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"isPrototypeOf", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"propertyIsEnumerable", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">>> & OwnProps>;
    };
    connectedNoOwnProps: <MapStateToProps extends (state: AppState, ownProps: {}) => {}, MapDispatchToProps extends MapDispatchToPropsParam<{}, {}>, Styles extends {}>(mapStateToProps: MapStateToProps, mapDispatchToProps: MapDispatchToProps, styles: Styles, Component: React.FunctionComponent<ReturnType<MapStateToProps> & ResolveThunks<MapDispatchToProps & WithStyles<Styles>>>) => {
        Component: React.FunctionComponent<ReturnType<MapStateToProps> & ResolveThunks<MapDispatchToProps & WithStyles<Styles>>>;
        mapStateToProps: MapStateToProps;
        mapDispatchToProps: MapDispatchToProps;
        Connected: import("react-redux").ConnectedComponentClass<(props: Object) => JSX.Element, Pick<Object, Exclude<"constructor", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"toString", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"toLocaleString", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"valueOf", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"hasOwnProperty", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"isPrototypeOf", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">> | Exclude<"propertyIsEnumerable", Extract<keyof ReturnType<MapStateToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable"> | Extract<keyof ResolveThunks<MapDispatchToProps>, "constructor" | "toString" | "toLocaleString" | "valueOf" | "hasOwnProperty" | "isPrototypeOf" | "propertyIsEnumerable">>>>;
    };
};
export {};
